For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • POSTCreates a new project or private task.
      • POSTInvites a user by email and assigns them to a task.
      • POSTEdits multiple tasks using the specified operation.
      • POSTChanges the base type for multiple tasks.
      • POSTChanges the lists of tasks.
      • POSTChanges statuses of tasks.
      • POSTChanges the parent task and the order of subtasks.
      • POSTConvert subtasks to a parent task.
      • POSTChanges the type of work for a batch of tasks.
      • POSTDeletes tasks and optionally related time entries.
      • GETReturns the task with the specified key.
      • POSTSets the priority flag for a task.
      • GETReturns the task with the specified id.
      • PUTUpdates the task with the specified id.
      • POSTCreates a copy of the specified task.
      • POSTDeletes the recurrence rule for a task.
      • GETGets the recurrence rule of a task.
      • POSTAssigns a list of users to a task.
      • POSTModifies planned efforts for the given task assignments.
      • POSTAdds or updates a recurrence rule for a task.
      • POSTUpdates the order of a task within its list.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTasks

Changes the base type for multiple tasks.

POST
https://api.awork.com/api/v1/tasks/changebasetypes
POST
/api/v1/tasks/changebasetypes
$curl -X POST https://api.awork.com/api/v1/tasks/changebasetypes \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "baseType": "projecttask",
> "entityId": "9f8b7c6d-5e4f-4321-9876-abcdef123456",
> "taskIds": [
> "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
> "b2c3d4e5-f678-9012-abcd-ef2345678901"
> ]
>}'
1{}
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Changes the lists of tasks.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

The tasks Change Base Types form payload.
baseTypeenumRequired
The type the tasks should be migrated to. Possible values are 'private' or 'projecttask'.
Allowed values:
entityIdstringRequiredformat: "uuid"
The id of the entity. The id of the project if the base type is 'projecttask' or the id of the user if the base type is 'private'.
taskIdslist of stringsRequired
The list of task ids.

Response

Multi-Status

Errors

400
Bad Request Error